/**
 *  PlayersDB class
 *
 * A class that models the Player scores of a golf tournament. 
 * Implemented with a LinkedList of objects of another class called Player.
 *
 * You must write a method that will filter the list based on a cut value.
 *
 * @author Dominic Jonak, et al.
 * @Date 9/25/02
 *
 * 15-200
 * Name:
 * Section:
 * andrew e-mail:
 */

import java.io.*;
import java.util.*;

public class PlayersDB
{
    private LinkedList list;

    public PlayersDB (FileInput inFile)
    {
	list = new LinkedList();
	String oneline ="";
	
	while((oneline = inFile.readLine()) != null) {
	    StringTokenizer st = new  StringTokenizer(oneline, " ");
	    
	    String first =  st.nextToken();
	    String last =  st.nextToken();
	    int r1 = Integer.parseInt(st.nextToken());
	    int r2 = Integer.parseInt(st.nextToken());
	    list.prepend(new Player ( first, last, r1, r2));
	}
	
    }

    /**
     *	displays all the player information contained in the database
     */
    
    public void	displayList()
    {
	System.out.println();
	System.out.println(list);
    }

    /**
     *	removes all those players in the tournament who did not make the cut
     *
     *	@param maximum score of remainning players
     *
     *	You must implement this method calling your method in the
     *  LinkedList class.
     */

}

